﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Interface
{
    public class BatchingDto
    {
        public string Id { get; set; }
        public string Code { get; set; }
        public string Name { get; set; }
        public DateTime CreateAt { get; set; }
        public int StockUint { get; set; }
        public int Type { get; set; }
        public string Key { get; set; }
    }

    public class BatchingDataDto
    {
        /// <summary>
        /// 物料Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 物料单位(1:液体料 2:主料)
        /// </summary>           
        public int StockUint { get; set; }
        /// <summary>
        /// 物料类型(1:g 2:kg)
        /// </summary>
        public int Type { get; set; }
        /// <summary>
        /// 第三方对接标识
        /// </summary>
        public string Key { get; set; }
    }

    public class BatchingDelDto
    {
        public string Id { get;set; }
        public string Name { get; set; }
    }
}
