﻿using BPA.SAAS.Manage.Core.Recipe;
using BPA.SAAS.Manage.Core.RecipeAttribute;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Interface
{
    public class RecipeDto
    {
        /// <summary>
        /// 配方模版分组
        /// </summary>
        public List<BPA_RecipeGroup> RecipeGroupList { get; set; }
        /// <summary>
        /// 配方模版
        /// </summary>
        public List<BPA_RecipeTemplate> RecipeTemplateList { get; set; }
        /// <summary>
        /// 配方列表
        /// </summary>
        public List<BPA_RecipeInfo> RecipeInfoList { get; set; }
        /// <summary>
        /// 配方版本
        /// </summary>
        public List<BPA_RecipeVersion> RecipeVersionList { get; set; }
        /// <summary>
        /// 配方属性
        /// </summary>
        public List<BPA_RecipeAttribute> RecipeAttrList { get; set; }
        /// <summary>
        /// 配方属性值
        /// </summary>
        public List<BPA_RecipeAttributeValue> RecipeAttrValueList { get; set; }
        /// <summary>
        /// 配方基本配置
        /// </summary>
        public List<BPA_RecipeBaseConfig> RecipeBaseConfigList { get; set; }
        /// <summary>
        /// 配方多属性配置
        /// </summary>
        public List<BPA_RecipeConfig> RecipeAttrConfigList { get; set; }
        /// <summary>
        /// 配方配置详情
        /// </summary>
        public List<BPA_RecipeConfigDetail> RecipeConfigDetailList { get; set; }
    }
}
