﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Interface
{
    public class RecipeGroupDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public bool IsWeight { get; set; }
        public int Sort { get; set; }
    }

    public class RecipeGroupDataDto
    {
        /// <summary>
        /// 分组Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 分组名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 是否称重(true:称重模式 false:标准模式)
        /// </summary>
        public bool IsWeight { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        public int Sort { get; set; }
    }

    public class RecipeGroupDelDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
    }
}
