﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Report
{
    public class RecipeUseDetailDto
    {
        public string Id { get; set; }
        public string RecipeName { get;set; }
        public string StoreName { get;set;}
        public string DeviceName { get;set; }
        public bool IsWeight { get;set; }
        public int Status { get; set; }
        public DateTime UseDate { get;set; } 
    }

    public class RecipeUseSummaryDto
    {
        public string Id { get; set; }
        public string RecipeName { get; set; }
        public string StoreName { get; set; }
        public string DeviceName { get; set; }
        public bool IsWeight { get; set; }
        public int Status { get; set; }
        public int UseCount { get;set; }
    }

    public class RecipeBatchingUseSummaryDto
    {
        public string Id { get; set; }
        public string BatchingName { get; set; }
        public string StoreName { get; set; }
        public string DeviceName { get; set; }
        public decimal UseWeight { get;set; }
        public bool IsWeight { get; set; }
    }
}
