﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.RecipeAttribute;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Interface
{
    public interface IRecipeAttributeService
    {
        Task<List<RecipeAttributeDto>> GetRecipeAttributeList(string recipeVersionId, int autoKey);
        Task<bool> UpdateRecipeAttribute(List<RecipeAttributeDto> dto);
        Task<bool> DeleteRecipeAttribute(string id, int type, int autoKey);
    }
}
