﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.Store;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Interface
{
    public interface IStoreService
    {
        Task<PageUtil> GetStorePage(StoreQueryDto dto);
        Task<List<StoreInfoDto>> GetAllStoreList();
        Task<bool> UpdateStore(StoreInfoDto dto);
        Task<bool> DeleteStore(List<string> Ids);
        Task<List<DeviceInfoDto>> GetAllDeviceList();
        Task<PageUtil> GetDevicePage(DeviceQueryDto dto);
        Task<bool> UpdateDevice(DeviceInfoDto dto);
        Task<bool> DeleteDevice(List<string> Ids);
        Task<PageUtil> GetDeviceLogPage(DeviceLogQueryDto dto);
    }
}
