﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Recipe
{
    /// <summary>
    /// 配方基础配置表
    /// </summary>
    public class BPA_RecipeBaseConfig : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 设备唯一Key
        /// </summary>
        public int AutoKey { get; set; }
        /// <summary>
        /// 配方版本Id
        /// </summary>
        public string RecipeVersionId { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
