﻿using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Recipe
{
    /// <summary>
    /// 配方分组表
    /// </summary>
    [SugarTable("bpa_recipegroup")]
    public class BPA_RecipeGroup : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 设备唯一Key
        /// </summary>
        public int AutoKey { get; set; }
        /// <summary>
        /// 配方模版
        /// </summary>
        public string GroupTempId { get;set; }
        /// <summary>
        /// 分组名称
        /// </summary>
        public string Name { get;set; }
        /// <summary>
        /// 分组类型(false:标准 true:称重)
        /// </summary>
        public bool IsWeight { get;set; }
        /// <summary>
        /// 序号
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
