﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Recipe
{
    /// <summary>
    /// 配方版本表
    /// </summary>
    public class BPA_RecipeVersion : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 设备唯一Key
        /// </summary>
        public int AutoKey { get; set; }
        /// <summary>
        /// 配方Id
        /// </summary>
        public string RecipeId { get; set; }
        /// <summary>
        /// 版本
        /// </summary>
        public int Version { get; set; }
        /// <summary>
        /// 版本描述
        /// </summary>
        public string Describe { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
