﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.RecipeAttribute
{
    /// <summary>
    /// 配方属性值表
    /// </summary>
    public class BPA_RecipeAttributeValue : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 设备唯一Key
        /// </summary>
        public int AutoKey { get; set; }
        /// <summary>
        /// 属性Id
        /// </summary>
        public string AttributeId { get; set; }
        /// <summary>
        /// 属性值名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
