﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Store
{
    /// <summary>
    /// 设备信息表
    /// </summary>
    public class BPA_DeviceInfo : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 设备名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 门店Id
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 是否启用(0:否 1:是)
        /// </summary>
        public int IsEnable { get; set; }
        /// <summary>
        /// 是否激活(0:否 1:是)
        /// </summary>
        public int IsActivation { get; set; }
        /// <summary>
        /// 自增标识
        /// </summary>
        public int AutoKey { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get;set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
