﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Store
{
    /// <summary>
    /// 设备日志表
    /// </summary>
    public class BPA_DeviceLog : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 文件名称
        /// </summary>
        public string FileName { get;set; }
        /// <summary>
        /// 文件路径
        /// </summary>
        public string FileUrl { get;set; }
        /// <summary>
        /// 门店名称
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 设备名称
        /// </summary>
        public string DeviceName { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
