﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Store
{
    /// <summary>
    /// 门店信息表
    /// </summary>
    public class BPA_Store : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 门店名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 组织Id
        /// </summary>
        public string OrgId { get; set; }
        /// <summary>
        /// 负责人
        /// </summary>
        public string Header { get; set; }
        /// <summary>
        /// 电话
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 位置
        /// </summary>
        public string Position { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
