﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.System
{
    /// <summary>
    /// 接口日志表
    /// </summary>
    public class BPA_InterfaceLog : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 请求路径
        /// </summary>
        public string RequestUrl { get;set; }
        /// <summary>
        /// 请求参数
        /// </summary>
        public string RequestData { get; set; }
        /// <summary>
        /// 请求方法名
        /// </summary>
        public string RequestMethodName { get; set; }
        /// <summary>
        /// 请求方式
        /// </summary>
        public string RequestType { get; set; }
        /// <summary>
        /// 结果数据
        /// </summary>
        public string ResultData { get; set; }
        /// <summary>
        /// ip地址
        /// </summary>
        public string Ip { get; set; }
        /// <summary>
        /// 加盟商Id
        /// </summary>
        public string GroupId { get; set; }
    }
}
