﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Interface
{
    public class RecipeInfoDto
    {
        public string Id { get; set; }
        public string RecipeGroupId { get; set; }
        public string Name { get; set; }
        public decimal? ReferenceWeight { get; set; }
        public int Sort { get; set; }
    }

    public class RecipeInfoDataDto
    {
        /// <summary>
        /// 配方Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 是否称重(true:称重模式 false:标准模式)
        /// </summary>
        public bool IsWeight { get;set; }
        /// <summary>
        /// 配方名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 基准克数
        /// </summary>
        public decimal? ReferenceWeight { get; set; }
    }

    public class RecipeInfoDelDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
    }
}
