﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Interface
{
    public class RecipeTemplateDataDto
    {
        /// <summary>
        /// 分组Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 分组名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 分组类型(false:标准 true:称重)
        /// </summary>
        public bool IsWeight { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        public int Sort { get;set; }
        /// <summary>
        /// 模版集合
        /// </summary>
        public List<TemplateDto> TemplateList { get;set; }
    }

    public class TemplateDto
    {
        /// <summary>
        /// 模版Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 配方Id
        /// </summary>
        public string RecipeId { get; set; }
        /// <summary>
        /// 版本Id
        /// </summary>
        public string VersionId { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }

    }
}
