﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Recipe
{
    public class RecipeBatchingDto
    {
        public string Id { get; set; }
        public string BatchingId { get; set; }
        public string Name { get; set; }
        public decimal Weight { get; set; }
    }

    public class RecipeBatchingDataDto
    {
        public string RecipeVersionId { get; set; }
        public string ValueIds { get; set; }
        public int AutoKey { get; set; }
        public List<BatchingDto> BatchingList { get; set; }
    }

    public class BatchingDto
    {
        public string BatchingId { get; set; }
        public decimal Weight { get; set; }
    }
}
