﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Recipe
{
    public class RecipeTemplateInfoDto
    {
        public string Id { get; set; }
        public string RecipeGroupId { get; set; }
        public string RecipeId { get; set; }
        public string RecipeName { get; set; }
        public string VersionId { get; set; }
        public int? Version { get; set; }
        public string Describe { get; set; }
        public int Sort { get; set; }
    }

    public class RecipeSelectDto
    {
        public string RecipeId { get; set; }
        public string Name { get; set; }
        public List<VersionSelectDto> VersionList { get; set; }
    }

    public class VersionSelectDto
    {
        public string VersionId { get; set; }
        public string Version { get; set; }
        public string Describe { get; set; }
    }

    public class AttrRecipeListDto
    {
        public string Id { get; set; }
        public string ValueIds { get; set; }
        public string Name { get; set; }
        public List<RecipeBatchingDto> BatchingList { get; set; }
    }

    public class RecipePageDto
    {
        public string RecipeGroupId { get; set; }
        public int AutoKey { get;set; }
    }

    public class RecipeTemplateUpDto
    {
        public string Id { get; set; }
        public string RecipeId { get;set; }
        public string VersionId { get;set; }
        public int AutoKey { get; set; }
    }
}
