﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Report
{
    public class ListDto
    {
        public List<ValueDto> StoreList { get; set; }
        public List<ValueDto> DeviceList { get; set; }
    }

    public class ValueDto
    {
        public string Value { get; set; }
        public string Label { get; set; }
    }

    public class RankDto
    {
        public RecipeUseBarDto RecipeUseBar { get; set; }
        public RecipeUseLineDto RecipeUseLine { get; set; }
        public BatchingUseBarDto BatchingUseBar { get; set; }
        public BatchingUseLineDto BatchingUseLine { get; set; }
    }

    public class RecipeUseBarDto
    {
        public string[] Names { get; set; }
        public int[] Values { get; set; }
    }

    public class RecipeUseLineDto
    {
        public string[] Xcoos { get; set; }
        public string[] Names { get; set; }
        public List<LineDto> Values { get; set; }
    }

    public class LineDto
    {
        public string Name { get;set; }
        public int[] Data { get; set; }
    }

    public class BatchingUseBarDto
    {
        public string[] Names { get; set; }
        public decimal[] Values { get; set; }
    }

    public class BatchingUseLineDto
    {
        public string[] Xcoos { get; set; }
        public string[] Names { get; set; }
        public List<BatchingLineDto> Values { get; set; }
    }

    public class BatchingLineDto
    {
        public string Name { get; set; }
        public decimal[] Data { get; set; }
    }
}
