﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.ActivationInfo;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Interface
{
    public interface IActivationInfoService
    {
        Task<PageUtil> GetActivationInfoPage(ActivationInfoQueryDto dto);
        Task<bool> UpdateActivationInfo(ActivationInfoUpDto dto);
        Task<string> UpdateOfflineKey(OfflineKeyDto dto);
        Task<bool> DeleteActivationInfo(string id);
    }
}
