﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.Report;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Interface
{
    public interface IReportService
    {
        Task<List<RecipeUseDetailDto>> GetRecipeUseDetail(RecipeQueryDto dto);
        Task<string> DownRecipeUseDetail(RecipeQueryDto dto);
        Task<List<RecipeUseSummaryDto>> GetRecipeUseSummary(RecipeQueryDto dto);
        Task<string> DownRecipeUseSummary(RecipeQueryDto dto);
        Task<List<RecipeBatchingUseSummaryDto>> GetBatchingUseSummary(BatchingQueryDto dto);
        Task<string> DownBatchingUseSummary(BatchingQueryDto dto);
        Task<ListDto> GetSearchList();
        Task<RankDto> GetMainReport(MainReportQueryDto dto);
        Task<MainReportQueryDto> GetReportSearchLog();
    }
}
