﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Recipe
{
    /// <summary>
    /// 配方物料详细表
    /// </summary>
    public class BPA_RecipeConfigDetail : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 设备唯一Key
        /// </summary>
        public int AutoKey { get; set; }
        /// <summary>
        /// 配置Id
        /// </summary>
        public string ConfigId { get; set; }
        /// <summary>
        /// 物料Id
        /// </summary>
        public string BatchingId { get; set; }
        /// <summary>
        /// 物料用量
        /// </summary>
        public decimal Weight { get;set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
