﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Recipe
{
    /// <summary>
    /// 配方模版表
    /// </summary>
    public class BPA_RecipeTemplate : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 设备唯一Key
        /// </summary>
        public int AutoKey { get; set; }
        /// <summary>
        /// 配方分组Id
        /// </summary>
        public string RecipeGroupId { get; set; }
        /// <summary>
        /// 配方Id
        /// </summary>
        public string RecipeId { get;set; }
        /// <summary>
        /// 版本Id
        /// </summary>
        public string VersionId { get;set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
